Package org.apache.batchee.spring.ui

## Class DelegatingJobOperator

- java.lang.Object
- - org.apache.batchee.spring.ui.DelegatingJobOperator

- All Implemented Interfaces:
    `javax.batch.operations.JobOperator`
  Direct Known Subclasses:
    `BatchEEJobOperator`, `JobOperatorFacade`

      public abstract class DelegatingJobOperator
      extends Object
      implements javax.batch.operations.JobOperator

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.batch.operations.JobOperator` | `delegate` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DelegatingJobOperator​(javax.batch.operations.JobOperator operator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abandon​(long l)` |
    `javax.batch.runtime.JobExecution` | `getJobExecution​(long l)` |
    `List<javax.batch.runtime.JobExecution>` | `getJobExecutions​(javax.batch.runtime.JobInstance jobInstance)` |
    `javax.batch.runtime.JobInstance` | `getJobInstance​(long l)` |
    `int` | `getJobInstanceCount​(String s)` |
    `List<javax.batch.runtime.JobInstance>` | `getJobInstances​(String s, int i, int i1)` |
    `Set<String>` | `getJobNames()` |
    `Properties` | `getParameters​(long l)` |
    `List<Long>` | `getRunningExecutions​(String s)` |
    `List<javax.batch.runtime.StepExecution>` | `getStepExecutions​(long l)` |
    `long` | `restart​(long l, Properties properties)` |
    `long` | `start​(String s, Properties properties)` |
    `void` | `stop​(long l)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### delegate

          protected final javax.batch.operations.JobOperator delegate

  - ### Constructor Detail

    - #### DelegatingJobOperator

          protected DelegatingJobOperator​(javax.batch.operations.JobOperator operator)

  - ### Method Detail

    - #### getJobNames

          public Set<String> getJobNames()
                                  throws javax.batch.operations.JobSecurityException

      Specified by:
        `getJobNames` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.JobSecurityException`

    - #### getJobInstanceCount

          public int getJobInstanceCount​(String s)
                                  throws javax.batch.operations.NoSuchJobException,
                                         javax.batch.operations.JobSecurityException

      Specified by:
        `getJobInstanceCount` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobException`
        `javax.batch.operations.JobSecurityException`

    - #### getJobInstances

          public List<javax.batch.runtime.JobInstance> getJobInstances​(String s,
                                                                       int i,
                                                                       int i1)
                                                                throws javax.batch.operations.NoSuchJobException,
                                                                       javax.batch.operations.JobSecurityException

      Specified by:
        `getJobInstances` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobException`
        `javax.batch.operations.JobSecurityException`

    - #### getRunningExecutions

          public List<Long> getRunningExecutions​(String s)
                                          throws javax.batch.operations.NoSuchJobException,
                                                 javax.batch.operations.JobSecurityException

      Specified by:
        `getRunningExecutions` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobException`
        `javax.batch.operations.JobSecurityException`

    - #### getParameters

          public Properties getParameters​(long l)
                                   throws javax.batch.operations.NoSuchJobExecutionException,
                                          javax.batch.operations.JobSecurityException

      Specified by:
        `getParameters` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobSecurityException`

    - #### start

          public long start​(String s,
                            Properties properties)
                     throws javax.batch.operations.JobStartException,
                            javax.batch.operations.JobSecurityException

      Specified by:
        `start` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.JobStartException`
        `javax.batch.operations.JobSecurityException`

    - #### restart

          public long restart​(long l,
                              Properties properties)
                       throws javax.batch.operations.JobExecutionAlreadyCompleteException,
                              javax.batch.operations.NoSuchJobExecutionException,
                              javax.batch.operations.JobExecutionNotMostRecentException,
                              javax.batch.operations.JobRestartException,
                              javax.batch.operations.JobSecurityException

      Specified by:
        `restart` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.JobExecutionAlreadyCompleteException`
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobExecutionNotMostRecentException`
        `javax.batch.operations.JobRestartException`
        `javax.batch.operations.JobSecurityException`

    - #### stop

          public void stop​(long l)
                    throws javax.batch.operations.NoSuchJobExecutionException,
                           javax.batch.operations.JobExecutionNotRunningException,
                           javax.batch.operations.JobSecurityException

      Specified by:
        `stop` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobExecutionNotRunningException`
        `javax.batch.operations.JobSecurityException`

    - #### abandon

          public void abandon​(long l)
                       throws javax.batch.operations.NoSuchJobExecutionException,
                              javax.batch.operations.JobExecutionIsRunningException,
                              javax.batch.operations.JobSecurityException

      Specified by:
        `abandon` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobExecutionIsRunningException`
        `javax.batch.operations.JobSecurityException`

    - #### getJobInstance

          public javax.batch.runtime.JobInstance getJobInstance​(long l)
                                                         throws javax.batch.operations.NoSuchJobExecutionException,
                                                                javax.batch.operations.JobSecurityException

      Specified by:
        `getJobInstance` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobSecurityException`

    - #### getJobExecutions

          public List<javax.batch.runtime.JobExecution> getJobExecutions​(javax.batch.runtime.JobInstance jobInstance)
                                                                  throws javax.batch.operations.NoSuchJobInstanceException,
                                                                         javax.batch.operations.JobSecurityException

      Specified by:
        `getJobExecutions` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobInstanceException`
        `javax.batch.operations.JobSecurityException`

    - #### getJobExecution

          public javax.batch.runtime.JobExecution getJobExecution​(long l)
                                                           throws javax.batch.operations.NoSuchJobExecutionException,
                                                                  javax.batch.operations.JobSecurityException

      Specified by:
        `getJobExecution` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobSecurityException`

    - #### getStepExecutions

          public List<javax.batch.runtime.StepExecution> getStepExecutions​(long l)
                                                                    throws javax.batch.operations.NoSuchJobExecutionException,
                                                                           javax.batch.operations.JobSecurityException

      Specified by:
        `getStepExecutions` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobSecurityException`